CP(1)

BEZEICHNUNG
cp - Dateien und Verzeichnisse kopieren

ÜBERSICHT
cp [OPTION]… [-T] QUELLE ZIEL
cp [OPTION]… QUELLE… VERZEICHNIS
cp [OPTION]… -t VERZEICHNIS QUELLE…

BESCHREIBUNG

Kopieren von QUELLE nach ZIEL oder mehrere QUELLE(n) in VERZEICHNIS.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --archive
    Genau wie -dR --preserve=all

--attributes-only
    Die Daten der Datei nicht kopieren, nur die Attribute

--backup[=STEUERUNG]
    Eine Sicherungskopie von jeder vorhandenen Zieldatei erstellen

-b  Wie --backup, akzeptiert aber kein Argument

--copy-contents
    Wenn rekursiv, Inhalt von Spezialdateien kopieren

-d  Genau wie --no-dereference --preserve=links

-f, --force
    Wenn eine existierende Zieldatei nicht geöffnet werden kann, löschen und erneut versuchen (dies wird bei Verwendung der Option -n ignoriert)

-i, --interactive
    Vor einem Überschreiben nachfragen (setzt eine vorangehende Option -n außer Kraft)

-H  Symbolischen Verweisen folgen, die auf der Befehlszeile als QUELLE angegeben sind

-l, --link
    Harte Dateiverweise erstellen statt zu kopieren

-L, --dereference
    Symbolischen Verweisen in QUELLE immer folgen

-n, --no-clobber
    Keine existierenden Dateien überschreiben (setzt eine vorangehende Option -i außer Kraft)

-P, --no-dereference
    Symbolischen Verweisen in QUELLE nie folgen

-p  Genau wie --preserve=mode,ownership,timestamps

--preserve[=ATTR_LISTE]
    Angegebene Dateiattribute erhalten (Voreinstellung: »mode,ownership,timestamps«), wenn möglich weitere Attribute erhalten: context, links, xattr, all

--no-preserve=ATTR_LISTE
    Angegebene Attribute nicht erhalten

--parents
    Vollständigen Dateinamen der Quelle in VERZEICHNIS benutzen

-R, -r, --recursive
    Verzeichnisse rekursiv kopieren

--reflink[=WANN]
    Steuert Klon-/CoW-(»Copy-on-Write«)-Kopien. Siehe unten

--remove-destination
    Jede existierende Zieldatei löschen, bevor versucht wird, sie zu öffnen (vergleiche --force)

--sparse=WANN
    Die Erstellung von Sparse-Dateien steuern. Siehe unten

--strip-trailing-slashes
    Schrägstriche am Ende jedes QUELLE‐Arguments entfernen

-s, --symbolic-link
    Symbolische Verweise erzeugen anstatt zu kopieren

-S, --suffix=ENDUNG
    Die übliche Endung für Sicherungskopien überschreiben

-t, --target-directory=VERZEICHNIS
    kopiert alle QUELLE‐Argumente in VERZEICHNIS.

-T, --no-target-directory
    ZIEL als normale Datei behandeln

-u, --update
    Nur kopieren, wenn die QUELL‐Datei neuer ist als die Zieldatei oder die Zieldatei nicht existiert

-v, --verbose
    Durchgeführte Tätigkeiten erklären

-x, --one-file-system
    In diesem Dateisystem verbleiben

-Z  Den SELinux-Sicherheitskontext der Zieldatei auf den vorgegebenen Typ setzen

--context[=KTX]
    Wie -Z, oder falls KTX angegeben ist, wird der SELinux- oder SMACK-Sicherheitskontext auf KTX gesetzt.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Standardmäßig werden Sparse-Dateien in der QUELLE von einer kruden Heuristik erkannt, die korrespondierende ZIEL-Datei wird dann ebenfalls als Sparse-Datei angelegt. Dieses Verhalten wird durch --sparse=auto ausgewählt. Geben Sie --sparse=always an, um die ZIEL-Datei als Sparse-Datei zu erstellen, wenn die QUELL-Datei eine ausreichend lange Folge von Nullbytes aufweist. Verwenden Sie --sparse=never, um die Erstellung von Sparse-Dateien zu verhindern.

Wenn --reflink[=//,always] angegeben wurde, wird eine leichtgewichtige Kopie erstellt, bei der die Datenblöcke nur dann kopiert werden, wenn diese geändert wurden. Falls dies nicht möglich ist, schlägt das Kopieren fehl. Falls --reflink=//,auto angegeben wurde, wird in diesem Fall eine Standardkopie erstellt. Verwenden Sie --reflink=never, um sicherzustellen, dass eine Standardkopie durchgeführt wird.

Die Endung für Sicherheitskopien ist »~«, außer wenn sie mit --suffix oder SIMPLE_BACKUP_SUFFIX gesetzt wurde. Die Methode der Versionssteuerung kann mit der Option --backup oder der Umgebungsvariablen VERSION_CONTROL ausgewählt werden. Mögliche Werte sind:

none, off
    Niemals Sicherheitskopien erstellen (selbst wenn --backup angegeben wurde)

numbered, t
    Erstellen von nummerierten Sicherheitskopien

existing, nil
    Nummeriert (»numbered«), wenn nummerierte Sicherheitskopien existieren, sonst einfach (»simple«).

simple, never
    Immer einfache Sicherheitskopien erstellen

Als Spezialfall erzeugt cp eine Sicherheitskopie von QUELLE, wenn die Optionen »force« und »backup« angegeben wurden und QUELLE und ZIEL der gleiche Name für eine existierende reguläre Datei sind.

AUTOR
Geschrieben von Torbjörn Granlund, David MacKenzie und Jim Meyering.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: <https://www.gnu.org/software/coreutils/>
Melden Sie Fehler in der Übersetzung an <https://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2019 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/cp>
oder lokal verfügbar mit: info '(coreutils) cp invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.